Package org.gdal.gdal

# Class MDArray

java.lang.Object
org.gdal.gdal.MDArray

public class MDArray extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dataset`
  `AsClassicDataset(long iXDim, long iYDim)`
  `boolean`
  `Cache()`
  `boolean`
  `Cache(Vector options)`
  `Statistics`
  `ComputeStatistics()`
  `Statistics`
  `ComputeStatistics(boolean approx_ok)`
  `Statistics`
  `ComputeStatistics(boolean approx_ok, ProgressCallback callback)`
  `Attribute`
  `CreateAttribute(String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type)`
  `Attribute`
  `CreateAttribute(String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type, Vector options)`
  `void`
  `delete()`
  `int`
  `DeleteNoDataValue()`
  `boolean`
  `equals(Object obj)`
  `Attribute`
  `GetAttribute(String name)`
  `ExtendedDataType`
  `GetDataType()`
  `long`
  `GetDimensionCount()`
  `String`
  `GetFullName()`
  `MDArray`
  `GetGridded(String pszGridOptions)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray)`
  `MDArray`
  `GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray, Vector options)`
  `MDArray`
  `GetMask()`
  `MDArray`
  `GetMask(Vector options)`
  `String`
  `GetName()`
  `void`
  `GetNoDataValueAsDouble(Double[] val)`
  `String`
  `GetNoDataValueAsString()`
  `void`
  `GetOffset(Double[] val)`
  `int`
  `GetOffsetStorageType()`
  `void`
  `GetScale(Double[] val)`
  `int`
  `GetScaleStorageType()`
  `SpatialReference`
  `GetSpatialRef()`
  `Statistics`
  `GetStatistics()`
  `Statistics`
  `GetStatistics(boolean approx_ok)`
  `Statistics`
  `GetStatistics(boolean approx_ok, boolean force)`
  `Statistics`
  `GetStatistics(boolean approx_ok, boolean force, ProgressCallback callback)`
  `Hashtable`
  `GetStructuralInfo()`
  `BigInteger`
  `GetTotalElementsCount()`
  `String`
  `GetUnit()`
  `MDArray`
  `GetUnscaled()`
  `MDArray`
  `GetView(String viewExpr)`
  `int`
  `hashCode()`
  `int`
  `Resize(int nDimCount, SWIGTYPE_p_GUIntBig newDimSizes)`
  `int`
  `Resize(int nDimCount, SWIGTYPE_p_GUIntBig newDimSizes, Vector options)`
  `int`
  `SetNoDataValueDouble(double d)`
  `int`
  `SetNoDataValueString(String nodata)`
  `int`
  `SetOffset(double val)`
  `int`
  `SetOffset(double val, int storageType)`
  `int`
  `SetScale(double val)`
  `int`
  `SetScale(double val, int storageType)`
  `int`
  `SetSpatialRef(SpatialReference srs)`
  `int`
  `SetUnit(String unit)`
  `MDArray`
  `Transpose(int[] nList)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetFullName

    public String GetFullName()

  - ### GetTotalElementsCount

    public BigInteger GetTotalElementsCount()

  - ### GetDimensionCount

    public long GetDimensionCount()

  - ### GetDataType

    public ExtendedDataType GetDataType()

  - ### GetStructuralInfo

    public Hashtable GetStructuralInfo()

  - ### Resize

    public int Resize(int nDimCount, SWIGTYPE_p_GUIntBig newDimSizes, Vector options)

  - ### Resize

    public int Resize(int nDimCount, SWIGTYPE_p_GUIntBig newDimSizes)

  - ### GetAttribute

    public Attribute GetAttribute(String name)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type, Vector options)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, int nDimensions, SWIGTYPE_p_GUIntBig dimensions, ExtendedDataType data_type)

  - ### GetNoDataValueAsDouble

    public void GetNoDataValueAsDouble(Double[] val)

  - ### GetNoDataValueAsString

    public String GetNoDataValueAsString()

  - ### SetNoDataValueDouble

    public int SetNoDataValueDouble(double d)

  - ### SetNoDataValueString

    public int SetNoDataValueString(String nodata)

  - ### DeleteNoDataValue

    public int DeleteNoDataValue()

  - ### GetOffset

    public void GetOffset(Double[] val)

  - ### GetOffsetStorageType

    public int GetOffsetStorageType()

  - ### GetScale

    public void GetScale(Double[] val)

  - ### GetScaleStorageType

    public int GetScaleStorageType()

  - ### SetOffset

    public int SetOffset(double val, int storageType)

  - ### SetOffset

    public int SetOffset(double val)

  - ### SetScale

    public int SetScale(double val, int storageType)

  - ### SetScale

    public int SetScale(double val)

  - ### SetUnit

    public int SetUnit(String unit)

  - ### GetUnit

    public String GetUnit()

  - ### SetSpatialRef

    public int SetSpatialRef(SpatialReference srs)

  - ### GetSpatialRef

    public SpatialReference GetSpatialRef()

  - ### GetView

    public MDArray GetView(String viewExpr)

  - ### Transpose

    public MDArray Transpose(int[] nList)

  - ### GetUnscaled

    public MDArray GetUnscaled()

  - ### GetMask

    public MDArray GetMask(Vector options)

  - ### GetMask

    public MDArray GetMask()

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray, Vector options)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray, MDArray yArray)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions, MDArray xArray)

  - ### GetGridded

    public MDArray GetGridded(String pszGridOptions)

  - ### AsClassicDataset

    public Dataset AsClassicDataset(long iXDim, long iYDim)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok, boolean force, ProgressCallback callback)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok, boolean force)

  - ### GetStatistics

    public Statistics GetStatistics(boolean approx_ok)

  - ### GetStatistics

    public Statistics GetStatistics()

  - ### ComputeStatistics

    public Statistics ComputeStatistics(boolean approx_ok, ProgressCallback callback)

  - ### ComputeStatistics

    public Statistics ComputeStatistics(boolean approx_ok)

  - ### ComputeStatistics

    public Statistics ComputeStatistics()

  - ### Cache

    public boolean Cache(Vector options)

  - ### Cache

    public boolean Cache()